Debian Bug report logs - #330287
linux-2.6: CAN-2005-3055 Oops while completing async USB via usbdevio

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Horms <horms@debian.org>

Date: Tue, 27 Sep 2005 09:33:01 UTC

Severity: important

Tags: security, upstream

Merged with 332587

Fixed in version 2.6.14-1

Done: Filipus Klutiero <ido@vif.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#330287; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Horms <horms@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Horms <horms@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-2.6: CAN-2005-3055 Oops while completing async USB via usbdevio
Date: Tue, 27 Sep 2005 18:25:59 +0900
Package: linux-2.6
Severity: important
Tags: patch security


CAN-2005-3055 Oops while completing async USB via usbdevio

I beleive this applies to 2.6.12 and 2.6.13, we should put the patch
into whichever we release next. I'll try and get to that shortly.

Link with patch: http://marc.theaimsgroup.com/?l=linux-kernel&m=112766129313883

Thanks to Fabbione for the information.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-686-smp
Locale: LANG=ja_JP.eucJP, LC_CTYPE=ja_JP.eucJP (charmap=EUC-JP) (ignored: LC_ALL set to ja_JP.eucJP)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#330287; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Horms <horms@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 330287@bugs.debian.org (full text, mbox):

From: Horms <horms@debian.org>
To: 330287@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: linux-2.6: CAN-2005-3055 Oops while completing async USB via usbdevio
Date: Fri, 7 Oct 2005 17:31:49 +0900
tag 330287 -patch
tag 330287 +upstream
clone 330287 -1
retitle -1 kernel-source-2.6.8: CAN-2005-3055 Oops while completing async USB via usbdevio
reassign -1 kernel-source-2.6.8

I was wrong, 2.6.8 is also affected, but 2.4.27 does not seem to be.


-- 
Horms



Tags removed: patch Request was from Horms <horms@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Horms <horms@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 330287 cloned as bug 332596. Request was from Horms <horms@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#330287; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #21 received at 330287@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: 330287@bugs.debian.org
Subject: Patch for CAN-2005-3055
Date: Thu, 13 Oct 2005 00:50:03 +0200
[Message part 1 (text/plain, inline)]
Hi,
on linux-kernel there were some iterations of patch review before an
acceptable patch could be cooked up. Here's the final one from Harald
Welte. Meanwhile Linus already commited an older version version of
his patch, for which Harald wanted to push an additional patch, so
I guess it's the best to directly include this fix.

Cheers,
        Moritz
[kernel-usdb-CAN-2005-3055.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#330287; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Horms <horms@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #26 received at 330287@bugs.debian.org (full text, mbox):

From: Horms <horms@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>, 330287@bugs.debian.org
Subject: Re: Bug#330287: Patch for CAN-2005-3055
Date: Thu, 13 Oct 2005 14:19:08 +0900
On Thu, Oct 13, 2005 at 12:50:03AM +0200, Moritz Muehlenhoff wrote:
> Hi,
> on linux-kernel there were some iterations of patch review before an
> acceptable patch could be cooked up. Here's the final one from Harald
> Welte. Meanwhile Linus already commited an older version version of
> his patch, for which Harald wanted to push an additional patch, so
> I guess it's the best to directly include this fix.

Will do, thanks for chasing this down, the numerous versions
of this fix that are floating around confused me somewhat.


-- 
Horms



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#330287; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Horms <horms@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #31 received at 330287@bugs.debian.org (full text, mbox):

From: Horms <horms@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>, 330287@bugs.debian.org
Subject: Re: Bug#330287: Patch for CAN-2005-3055
Date: Fri, 14 Oct 2005 18:11:12 +0900
[Message part 1 (text/plain, inline)]
On Thu, Oct 13, 2005 at 12:50:03AM +0200, Moritz Muehlenhoff wrote:
> Hi,
> on linux-kernel there were some iterations of patch review before an
> acceptable patch could be cooked up. Here's the final one from Harald
> Welte. Meanwhile Linus already commited an older version version of
> his patch, for which Harald wanted to push an additional patch, so
> I guess it's the best to directly include this fix.

Sorry this is taking a while to get in.
I had do do a bit of backporting (attached for reference).
And I am begining to suspect that it is an ABI breaker.

Ohh, and I think I separately broke the 2.6.8 build, so I am looking
into that.


-- 
Horms
[CAN-2005-3055.patch (text/plain, attachment)]

Merged 330287 332587. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Filipus Klutiero <ido@vif.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Horms <horms@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 330287-done@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <ido@vif.com>
To: 330287-done@bugs.debian.org
Subject: Fixed
Date: Mon, 13 Feb 2006 18:11:02 -0500
Version: 2.6.14-1

The upstream fix for this is mentionned in the changelog as [PATCH] Fix signal sending in usbdevio on async URB completion





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 23:49:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:53:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.